package net.northking.cctp.upperComputer.attach;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 附件对象
 */
@Table(name = "attachment_info")
public class AttachmentDB {

    @Id
    private String id;

    private String url;

    private String filename;

    private String filePath;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 红点x坐标
     */
    private int x;

    /**
     * 红点y坐标
     */
    private int y;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 上传失败次数
     */
    private int failureTimes;

    private String objectId;

    private String bizCode;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public int getFailureTimes() {
        return failureTimes;
    }

    public void setFailureTimes(int failureTimes) {
        this.failureTimes = failureTimes;
    }

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public String getBizCode() {
        return bizCode;
    }

    public void setBizCode(String bizCode) {
        this.bizCode = bizCode;
    }

    @Override
    public String toString() {
        return "AttachmentDB{" +
                "id='" + id + '\'' +
                ", url='" + url + '\'' +
                ", filename='" + filename + '\'' +
                ", filePath='" + filePath + '\'' +
                ", createdTime=" + createdTime +
                ", x=" + x +
                ", y=" + y +
                ", tenantId='" + tenantId + '\'' +
                ", failureTimes=" + failureTimes +
                ", objectId='" + objectId + '\'' +
                ", bizCode='" + bizCode + '\'' +
                '}';
    }
}
